<template>
  <div class="notranslate">
    <div class="card-layout">
      <div class="page-head">
        <slot name="head"></slot>
      </div>
      <div class="page-content">
        <div class="page-top">
          <slot name="top"></slot>
        </div>
        <Card class="page-body">
          <slot name="body"></slot>
        </Card>
      </div>

    </div>
  </div>
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator";
import Card from "@/components/Card.vue";

@Component({
  components: {
    Card
  }
})
export default class CardLayout extends Vue {}
</script>

<style lang="scss">
.card-layout {
  height: 100vh;
  width: 100vw;
  display: flex;
  flex-direction: column;
  // justify-content: space-between;
  align-items: center;

  .page-head {
    height: auto;
    width: 100vw;
    z-index: 1000;
    position: fixed;
  }

  .page-content {
    padding-top: 7vh;
  }

  .page-top {
    // height: 0vh;
    width: 100vw;
    // background-color: red;
    // margin-bottom: -3vh;
  }

  .page-body {
    height: 85vh;
    width: 100vw;
    z-index: 980;
    margin-top: -10px;
    // background-color: blue;
    scroll-behavior: smooth;
  }

  @media (min-width: 570px) { 
      .page-head {
      width: 70vw;
    }

    .page-top {
      width: 70vw;
    }

    .page-body {
      width: 70vw;
    }
}
}


</style>